package hpacademy.floorprinter;

import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.view.ViewGroup;

import java.util.ArrayList;

public class ExplorerActivity extends AppCompatActivity {
    ArrayList<FilePreview> files;
    RecyclerView recyclerView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_explorer);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        files = new ArrayList<>();
        files.add(new FilePreview(getString(R.string.file_example_1), R.drawable.hp_logo_demo));
        files.add(new FilePreview(getString(R.string.file_example_2), R.drawable.hp_brackets_demo));

        recyclerView = findViewById(R.id.explorer_recycle_view);
        LinearLayoutManager layoutManager = new LinearLayoutManager(this);
        recyclerView.setLayoutManager(layoutManager);

        ExplorerAdapter adapter = new ExplorerAdapter(this, files);
        recyclerView.setAdapter(adapter);
    }

}
