package hpacademy.floorprinter;

import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v4.app.DialogFragment;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.View;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class EditorActivity extends AppCompatActivity {
    ImageView imageView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_editor);
        Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        setSupportActionBar(toolbar);

        FloatingActionButton fab = (FloatingActionButton) findViewById(R.id.fab);

        final EditorDialog exitDialog = new EditorDialog();
        fab.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                exitDialog.show(getSupportFragmentManager(), getString(R.string.dialog_editor_tag));
            }
        });

        EditText et = (EditText) findViewById(R.id.editor_width_box);
        et.setText("52");
        et = (EditText) findViewById(R.id.editor_height_box);
        et.setText("32");

        imageView = findViewById(R.id.editor_preview);

        Bundle extras = getIntent().getExtras();
        if(extras != null) {
            int imageId = extras.getInt("IMAGE_ID");
            imageView.setImageResource(imageId);
        }
    }

}
